Bug 60303 - rpm database corruption, probably unreproducible
Summary: rpm database corruption, probably unreproducible
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-25 02:54 UTC by Jonathan Kamens
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-25 02:54:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2002-02-25 02:54:36 UTC
I upgraded to rpm-4.0.4-7x.4 a couple of days ago.  Today while removing the
linuxconf and linuxconf-devel packages, I got:

root@jik:~!2# rpm -e linuxconf linuxconf-devel
warning: /etc/conf.linuxconf saved as /etc/conf.linuxconf.rpmsave
rpmdb: Suspiciously high nelem of 4294967295 on page 0
error: db4 error(-30979) from db->verify: DB_VERIFY_BAD: Database verification
failed

I ran "rpm --rebuilddb" and it completed with no errors, but I thought I should
report this error anyway, just in case the report might be useful.

Comment 1 Jeff Johnson 2002-02-25 14:35:34 UTC
There's a patch that dropped out of db-4.0.14 final, now
reapplied in rpm-4.0.4 final.

Comment 2 Curtis Doty 2002-03-25 16:41:45 UTC
I too have same symptom. Jeff, what is meaning of your comment...operationally.

Comment 3 Jeff Johnson 2002-03-25 16:44:08 UTC
Upgrade to rpm-4.0.4-7x and do a --rebuilddb.


Note You need to log in before you can comment on or make changes to this bug.